upstream ecole_eft_app_unicorn {
	server unix:/home/web/ecole_eft_app/shared/unicorn.sock fail_timeout=0;
}

server {
	listen 80;
	server_name new.ecole-eft-france.fr;
	root /home/web/ecole_eft_app/current/public;
	try_files $uri/index.html $uri @unicorn;

	location @unicorn {
		proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
		proxy_set_header Host $http_host;
		proxy_redirect off;
		proxy_pass http://ecole_eft_app_unicorn;
	}

	error_page 500 502 503 504 /500.html;
	client_max_body_size 4G;
	keepalive_timeout 10;
}

server {
	listen 80;
    server_name  ecole-eft-france.fr www.ecole-eft-france.fr;
    rewrite ^(.*) https://ecole-eft-france.fr$1 permanent;
}



server {

    listen 443 ssl;

    server_name ecole-eft-france.fr;
    root /home/web/ecole_eft_app/current/public;

    ssl on;
    ssl_certificate /etc/nginx/ssl/ecole_eft_app/monserveur.crt;
    ssl_certificate_key /etc/nginx/ssl/ecole_eft_app/monserveur.key;


    try_files $uri/index.html $uri @unicorn;

    #access_log /var/log/nginx/YOUR_APP_NAME_access.log combined;
    #error_log /var/log/nginx/YOUR_APP_NAME_error.log;

    location @unicorn {
        proxy_set_header X-Forwarded-For $remote_addr;
        proxy_set_header Host $http_host;
        proxy_redirect off;
        proxy_pass http://ecole_eft_app_unicorn;
        proxy_set_header   X-Forwarded-Proto https;
    }

    error_page 500 502 503 504 /500.html;
    client_max_body_size 4G;
    keepalive_timeout 10;
}



server {
  listen 443 ssl;
  
  ssl on;
  ssl_certificate /etc/nginx/ssl/ecole_eft_app/monserveur.crt;
  ssl_certificate_key /etc/nginx/ssl/ecole_eft_app/monserveur.key;
  
  
  server_name  *.ecole-eft-france.fr www.ecole-eft-france.fr;
  rewrite ^(.*) https://ecole-eft-france.fr$1 permanent;
}
